# Method: accounts.omnichannelSettings.create

- [HTTP request](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.omnichannelSettings/create#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.omnichannelSettings/create#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.omnichannelSettings/create#body.request_body)
- [Response body](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.omnichannelSettings/create#body.response_body)
- [Authorization scopes](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.omnichannelSettings/create#body.aspect)
- [Try it!](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.omnichannelSettings/create#try-it)

Create the omnichannel settings for a given merchant.

### HTTP request

`POST https://merchantapi.googleapis.com/accounts/v1/{parent=accounts/*}/omnichannelSettings`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource where this omnichannel setting will be created. Format: `accounts/{account}` |

### Request body

The request body contains an instance of `https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.omnichannelSettings#OmnichannelSetting`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.omnichannelSettings#OmnichannelSetting`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).